
Ryzom - NeverEnding # 32

Status: New Priority: Normal
Author: vl Category:
Created: 09/03/2008 Assignee:
Updated: 09/29/2010 Due date:
Subject: Remove the #pragma warning on Windows in types_nl.h and solved the warning in a good manner
Description

When removing the #pragma warning on Windows in types_nl.h, it'll generate tons of warning.

History
#1 - 09/21/2008 08:57 am - jade
- File NE_32.patch added

The compiler should not be prevented from warning about empty control statement (C4390)
I have re-enabled this warning as the code base does not have such issue as of revision 331. Anyone introducing such issue from now on should fix
their code rather than disabling the warning

#2 - 09/21/2008 09:07 am - jade

Are all the #define WINVER 0x0400 still necessary? I don't think so, and they generate macro redefinition warnings that can easily be avoided. Please
let me know what you think

#3 - 05/11/2009 03:34 pm - sfb
- Category set to Misc
- Target version set to 0.8.0

#4 - 09/29/2010 09:06 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (Misc)
- Target version deleted (0.8.0)

Files
NE_32.patch 720 Bytes 09/21/2008 jade
